//----------------- CSP Module Support Functions ----------------

void __declspec(dllexport) GetModuleInfo( CSPMODULEINFO * __pModuleInfo )
{
	__pModuleInfo->ulStaticDataFileSize = CSP_STATIC_DATA_FILE_SIZE;

	#ifdef CSP_SESSION
	__pModuleInfo->bSession = true;
	#else
	__pModuleInfo->bSession = false;
	#endif

	#ifdef CSP_STATIC_PAGE
	__pModuleInfo->bStaticPage = true;
	#else
	__pModuleInfo->bStaticPage = false;
	#endif

	#ifdef CSP_STATIC_PAGE_FILENAME
	__pModuleInfo->pszStaticPageFilename = CSP_STATIC_PAGE_FILENAME;
	__pModuleInfo->bStaticPage = true;
	#else
	__pModuleInfo->pszStaticPageFilename = NULL;
	#endif

	#ifdef CSP_SESSION
	__pModuleInfo->bSession = true;
	#else
	__pModuleInfo->bSession = false;
	#endif

	#ifdef CSP_MODULE_TIMEOUT
	__pModuleInfo->ulModuleTimeOut = CSP_MODULE_TIMEOUT;
	#else
	__pModuleInfo->ulModuleTimeOut = DEFAULT_MODULE_TIMEOUT;
	#endif
}

/*
BOOL WINAPI DllMain( HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved )
{
	switch( fdwReason )
	{
		case DLL_PROCESS_ATTACH:
		return OnLoad() ? TRUE : FALSE;
	case DLL_PROCESS_DETACH:
		return OnFree() ? TRUE : FALSE;
	}
	return TRUE;
}*/
